Subject: Re: bash script execute permissions over NFS
From: [email-masked] (Earnie Boyd)

27 Apr 1998 18:26:49 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Erik Butterworth <[email-masked]>, [email-masked]

Does the NFS script contain the shebang (#! /bin/sh) line?  If not you
might try it with the shebang line.

---Erik Butterworth <[email-masked]> wrote:
>
>   I'm running GNU Win-32 Beta 19.1 and Hummingbird's NFS client to
connect
> to a Sun Solaris NFS server.  /bin/sh scripts on the server have
execute
> permission according to Solaris and according to NT's file Properties
> popup.  However, the ls command under bash shows the script (e.g.
'zork')
> with no execute permission and bash says it can't execute it (file not
> found).  If I rename 'zork' to 'zork.bat', ls then shows zork.bat to
have
> execute permission, and bash will execute it properly.  This problem
does
> not occur when using local NTFS disks, only NFS mounted disks.  On
local
> NTFS disks scripts run properly with or without the .bat suffix. 
Anyone know
> what's going on here, or how to fix it?  I _really_ don't want to
have to
> rename every script on the system with a .bat suffix. 
> 
>   Thanks much,
> 
> Erik Butterworth     
> University of Washington - Dept. of Cardiology 
> [email-masked]        206-764-2449  
> 

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".